Bug 995852 - gnuplot: Make gnuplot's NOCWDRC (not to read the content of .gnuplot from CWD at the startup) default
gnuplot: Make gnuplot's NOCWDRC (not to read the content of .gnuplot from CWD...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnuplot (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Pavel Cahyna
BaseOS QE - Apps
http://www.gnuplotting.org/configurat...
:
Depends On: 995851
Blocks: 995853 995854 995855 995856
  Show dependency treegraph
 
Reported: 2013-08-11 10:29 EDT by Jan Lieskovsky
Modified: 2017-12-06 06:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 995851
: 995853 995854 (view as bug list)
Environment:
Last Closed: 2017-12-06 06:40:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-08-11 10:29:24 EDT
+++ This bug was initially created as a clone of Bug #995851 +++

Description of problem:
As written in:
  http://www.gnuplotting.org/configuration/

or in gnuplot's startup help:

gnuplot> help startup
 When `gnuplot` is run, it looks for an initialization file to load.
 This file is called `.gnuplot` on Unix and AmigaOS systems, and
 `GNUPLOT.INI` on other systems.  If this file is not found in the
 current directory, the program will look for it in the HOME directory
 (under AmigaOS, MS-DOS, Windows and OS/2, the
 environment variable `GNUPLOT` should contain the name of this
 directory; on Windows NT, it will use `USERPROFILE` if GNUPLOT isn't
 defined).  Note: if NOCWDRC is defined during the installation,
 `gnuplot` will not read from the current directory.

 If the initialization file is found, `gnuplot` executes the commands in it.
 These may be any legal `gnuplot` commands, but typically they are limited to
 setting the terminal and defining frequently-used functions or variables.

when 'NOCWDRC' is not defined in the moment of gnuplot's startup, gnuplot tries to load content of .gnuplot file from current working directory. Since when run from untrusted directory, this might be dangerous, that feature (loading of .gnuplot content from CWD) should be disabled in the default configuration (=> 'NOCWDRC' option should be used).


Version-Release number of selected component (if applicable):
gnuplot/4.2.6/2.el6

How reproducible:
Always

Steps to Reproduce:
1. Define some gnuplot commands (even to run some system ones) into .gnuplot file in CWD
2. Run gnuplot


Actual results:
Commands from .gnuplot in CWD are executed by gnuplot startup.

Expected results:
Commands aren't executed.

Additional info:
This is not a security flaw, since above behaviour is documented in gnuplot startup help and/or in upstream documentation.

Anyway, the more secure (not to load .gnuplot from CWD at startup) behaviour should be used.
Comment 2 RHEL Product and Program Management 2013-10-13 19:16:37 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Jan Kurik 2017-12-06 06:40:52 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.